Package wx :: Package lib :: Package agw :: Module peakmeter :: Class PeakMeterData

[frames | no frames]

## Type PeakMeterData

    object --+
             |
            PeakMeterData

A simple class which holds data for our L{PeakMeterCtrl}.

Method Summary
| ``__init__`(self, value, falloff, peak)` Default class constructor.
| ``IsEqual`(self, pm)` Returns whether 2 PeakMeterData are the same.
| ``IsGreater`(self, pm)` Returns whether one PeakMeterData is greater than another.
| ``IsLower`(self, pm)` Returns whether one PeakMeterData is smaller than another.

Method Details

### __init__(self, value=0, falloff=0, peak=0)
(Constructor)

Default class constructor.

@param value: the current value; @param falloff: the falloff effect; @param peak: the peak value.

  Overrides:
    `__builtin__.object.__init__`

### IsEqual(self, pm)

Returns whether 2 PeakMeterData are the same.

### IsGreater(self, pm)

Returns whether one PeakMeterData is greater than another.

### IsLower(self, pm)

Returns whether one PeakMeterData is smaller than another.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:54:55 2009 | http://epydoc.sf.net